libzypp: zypp::ProgressData::Data Class Reference

libzypp 17.38.14

zypp::ProgressData::Data Class Reference

## Public Types
using | TimePoint = std::chrono::steady_clock::time_point

## Public Member Functions
| Data (value_type min_r, value_type max_r, value_type val_r)

## Public Attributes
State | _state
std::string | _name
value_type | _min
value_type | _max
value_type | _val
ReceiverFnc | _receiver
value_type | _last_val
TimePoint | _last_send

## Private Member Functions
Data * | clone () const

## Friends
Data * | rwcowClone (const Data *rhs)
| clone for RWCOW_pointer

## Detailed Description

Definition at line 145 of file progressdata.h.

## Member Typedef Documentation

## ◆ TimePoint

using zypp::ProgressData::Data::TimePoint = std::chrono::steady_clock::time_point

Definition at line 148 of file progressdata.h.

## Constructor & Destructor Documentation

## ◆ Data()

zypp::ProgressData::Data::Data | ( | value_type | min_r,
|  | value_type | max_r,
|  | value_type | val_r )
| inline

Definition at line 150 of file progressdata.h.

## Member Function Documentation

## ◆ clone()

Data * zypp::ProgressData::Data::clone | ( |  | ) | const
| inlineprivate

Definition at line 169 of file progressdata.h.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Data * rwcowClone | ( | const Data * | rhs | ) |
| friend

clone for RWCOW_pointer

## Member Data Documentation

## ◆ _state

State zypp::ProgressData::Data::_state

Definition at line 156 of file progressdata.h.

## ◆ _name

std::string zypp::ProgressData::Data::_name

Definition at line 157 of file progressdata.h.

## ◆ _min

value_type zypp::ProgressData::Data::_min

Definition at line 158 of file progressdata.h.

## ◆ _max

value_type zypp::ProgressData::Data::_max

Definition at line 159 of file progressdata.h.

## ◆ _val

value_type zypp::ProgressData::Data::_val

Definition at line 160 of file progressdata.h.

## ◆ _receiver

ReceiverFnc zypp::ProgressData::Data::_receiver

Definition at line 162 of file progressdata.h.

## ◆ _last_val

value_type zypp::ProgressData::Data::_last_val

Definition at line 163 of file progressdata.h.

## ◆ _last_send

TimePoint zypp::ProgressData::Data::_last_send

Definition at line 164 of file progressdata.h.

The documentation for this class was generated from the following file:

- zypp-core/ui/progressdata.h